All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.servlet.tbeans.navigationbar
Interface EditNavigationInterface

All Superinterfaces:
  BaseNavigationInterface, URLTemplateViewInterface

All Known Implementing Classes:
  BaseTableView, TableView, TableView, TableView

    public interface EditNavigationInterface

extends BaseNavigationInterface

Defines an interface for editing a TransformationBean. Defines the interface to be implemented by a TranformationBean which will use a NavigationBarEditingElement to navigate and edit the TranformationBean's model.

Method Summary
`void` | `cancel()` Cancel any changes.
`void` | `commit()` Commit any changes.
`void` | `delete(int row)` Delete the given row.
`int` | `getCurrentRow()` Returns the current row being rendered.
`void` | `insert(int row)` Insert a row before the given row.
`boolean` | `isAutoCommit()` Determines whether changed values are committed automatically or the user is prompted to commit the changes.
`boolean` | `isCancelSupported()` Determines whether canceling a change is supported.
`boolean` | `isCommitSupported()` Determines whether commiting values is supported.
`boolean` | `isDeleteSupported()` Determines whether deleting a row is supported.
`boolean` | `isInsertSupported()` Determines whether inserting a row is supported.
`boolean` | `isPromptOnDelete()` Determines whether to prompt the user when deleting a row.
`boolean` | `isUpdateSupported()` Determines whether updating a row is supported.
`void` | `setRowsToDelete(java.util.Map rows)` Sets the map containing the name/value pairs of the rows selected for deletion.
`void` | `setUncommittedValues(java.util.Map values)` Sets the map containing the name/value pairs of the editable fields that have changed and need to be committed.
`void` | `update(int row)` Changes the given row from browse mode to edit mode.

Methods inherited from interface com.sas.actionprovider.URLTemplateViewInterface
`getURLTemplate, setURLTemplate`

Method Detail

### isInsertSupported

    boolean isInsertSupported()

  Determines whether inserting a row is supported.

  Returns:
    true if inserting a new row is supported
  See Also:
    `insert(int)`

### isCommitSupported

    boolean isCommitSupported()

  Determines whether commiting values is supported.

  Returns:
    true if commiting new values is supported
  See Also:
    `commit()`

### isDeleteSupported

    boolean isDeleteSupported()

  Determines whether deleting a row is supported.

  Returns:
    true if deleting a row is supported
  See Also:
    `delete(int)`

### isCancelSupported

    boolean isCancelSupported()

  Determines whether canceling a change is supported.

  Returns:
    true if canceling a change is supported
  See Also:
    `cancel()`

### isUpdateSupported

    boolean isUpdateSupported()

  Determines whether updating a row is supported. Updating means moving the row from browse mode to edit mode.

  Returns:
    true if updating a row is supported
  See Also:
    `update(int)`

### isAutoCommit

    boolean isAutoCommit()

  Determines whether changed values are committed automatically or the user is prompted to commit the changes.

  Returns:
    true to automatically commit changes

### isPromptOnDelete

    boolean isPromptOnDelete()

  Determines whether to prompt the user when deleting a row.

  Returns:
    true to prompt when deleting a row

### delete

    void delete(int row)

  Delete the given row.

  Parameters:
    `row` - the row to delete
  Throws:
    `java.lang.UnsupportedOperationException` - Thrown if isDeleteSupported() returns false
  See Also:
    `isDeleteSupported()`

### insert

    void insert(int row)

  Insert a row before the given row.

  Parameters:
    `row` - the row to insert before
  Throws:
    `java.lang.UnsupportedOperationException` - Thrown if isInsertSupported() returns false
  See Also:
    `isInsertSupported()`

### cancel

    void cancel()

  Cancel any changes.

  Throws:
    `java.lang.UnsupportedOperationException` - Thrown if isCancelSupported() returns false
  See Also:
    `isCancelSupported()`

### commit

    void commit()

  Commit any changes.

  Throws:
    `java.lang.UnsupportedOperationException` - Thrown if isCommitSupported() returns false
  See Also:
    `isCommitSupported()`

### update

    void update(int row)

  Changes the given row from browse mode to edit mode. Once in edit mode you should be able to change values on the row and commit the changes.

  Parameters:
    `row` - the row to update
  Throws:
    `java.lang.UnsupportedOperationException` - Thrown if isUpdateSupported() returns false
  See Also:
    `isUpdateSupported()`

### getCurrentRow

    int getCurrentRow()

  Returns the current row being rendered. The NavigationBarEditingElement needs this method to properly render the edit actions. This is not the row being edited but the row being rendered. This number will change as each row of the TransformationBean implementing this interface is rendered.

  Returns:
    the current row being rendered

### setUncommittedValues

    void setUncommittedValues(java.util.Map values)

  Sets the map containing the name/value pairs of the editable fields that have changed and need to be committed. This method is called by the appropriate edit command on the TransformationBean implementing this interface. This method is needed as a way for the command to return the changed cell values from the request object to the TransformationBean. The edit command is responsible for getting the parameters off the request object and creating the map with the name/value pairs. The map keys are the names of the changed values and the corresponding map values are the new values.

  Parameters:
    `values` - the map containing the name/value pairs of the editable fields that need to be committed

### setRowsToDelete

    void setRowsToDelete(java.util.Map rows)

  Sets the map containing the name/value pairs of the rows selected for deletion. This method is called by the appropriate edit command on the TransformationBean implementing this interface. This method is needed as a way for the command to return the selected rows from the request object to the TransformationBean. The edit command is responsible for getting the parameters off the request object and creating the map with the name/value pairs. The map keys are the names of the selected rows and the corresponding map values are the on\off values of the row selection component.

  Parameters:
    `values` - the map containing the name/value pairs of the selected rows to be deleted

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.